Bug 231705 - Invalid use of desktopfile categories
Summary: Invalid use of desktopfile categories
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nethack-vultures (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karen Pease
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 12:56 UTC by Hans de Goede
Modified: 2008-04-04 08:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 08:06:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH for the .spec file fixing this. (1022 bytes, patch)
2007-03-10 12:56 UTC, Hans de Goede
no flags Details | Diff

Description Hans de Goede 2007-03-10 12:56:49 UTC
The Categories field of the installed .dekstop files contains:
Application;Game;3DGame;PuzzleGame;X-Fedora;

However of these only Game is a valid category (X-Fedora is allowed but useless
and should no longer be used according to the latest guidelines), see:
http://standards.freedesktop.org/menu-spec/latest/apa.html

I've attached a spec which fixes this and which adds the (valid) category
RolePlaying. This is nescesarry for vultures to show up in the RolePlaying sub
menu of desktop environments which have game submenus (try installing
games-menus to get these submenus in gnome/KDE).

Comment 1 Hans de Goede 2007-03-10 12:56:49 UTC
Created attachment 149768 [details]
PATCH for the .spec file fixing this.

Comment 2 Hans de Goede 2007-08-12 20:17:23 UTC
Erm, I don't want to be rude, but ... ping?

Comment 3 Karen Pease 2007-08-13 16:13:19 UTC
Not rude at all; I didn't see this.  I'll try to take care of it later today.

Comment 4 Karen Pease 2007-08-14 18:59:07 UTC
Should be fixed.  Anyone want to verify?


Comment 5 Hans de Goede 2007-08-14 21:05:05 UTC
Sure, you can verify it yourself by doing "yum install games-menus" and then the
menu entry should be under applications->games->role playing games. Or give me a
link to an (s)rpm to try and I'll give it a spin.


Comment 6 Bug Zapper 2008-04-03 23:39:10 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Hans de Goede 2008-04-04 08:06:00 UTC
I can confirm this is fixed now, closing.



Note You need to log in before you can comment on or make changes to this bug.